## GtkProgress

GtkProgress — Base class for GtkProgressBar

## Functions

void | gtk_progress_set_show_text ()
void | gtk_progress_set_text_alignment ()
void | gtk_progress_set_format_string ()
void | gtk_progress_set_adjustment ()
void | gtk_progress_set_percentage ()
void | gtk_progress_set_value ()
gdouble | gtk_progress_get_value ()
void | gtk_progress_set_activity_mode ()
gchar * | gtk_progress_get_current_text ()
gchar * | gtk_progress_get_text_from_value ()
gdouble | gtk_progress_get_current_percentage ()
gdouble | gtk_progress_get_percentage_from_value ()
void | gtk_progress_configure ()

## Properties

gboolean | activity-mode | Read / Write
gboolean | show-text | Read / Write
gfloat | text-xalign | Read / Write
gfloat | text-yalign | Read / Write

## Types and Values

struct | GtkProgress

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkProgress
                        ╰── GtkProgressBar

## Implemented Interfaces

GtkProgress implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

A GtkProgress is the abstract base class used to derive a GtkProgressBar which provides a visual representation of the progress of a long running operation.

## Functions

### gtk_progress_set_show_text ()

    void
    gtk_progress_set_show_text (GtkProgress *progress,
                                gboolean show_text);

`gtk_progress_set_show_text` is deprecated and should not be used in newly-written code.

Controls whether progress text is shown.

#### Parameters

progress | a GtkProgress. |
show_text | a boolean indicating whether the progress text is shown. |

### gtk_progress_set_text_alignment ()

    void
    gtk_progress_set_text_alignment (GtkProgress *progress,
                                     gfloat x_align,
                                     gfloat y_align);

`gtk_progress_set_text_alignment` is deprecated and should not be used in newly-written code.

Controls the alignment of the text within the progress bar area.

#### Parameters

progress | a GtkProgress. |
x_align | a number between 0.0 and 1.0 indicating the horizontal alignment of the progress text within the GtkProgress. |
y_align | a number between 0.0 and 1.0 indicating the vertical alignment of the progress text within the GtkProgress. |

### gtk_progress_set_format_string ()

    void
    gtk_progress_set_format_string (GtkProgress *progress,
                                    const gchar *format);

`gtk_progress_set_format_string` is deprecated and should not be used in newly-written code.

Sets a format string used to display text indicating the current progress. The string can contain the following substitution characters:

- %v - the current progress value.

- %l - the lower bound for the progress value.

- %u - the upper bound for the progress value.

- %p - the current progress percentage.

#### Parameters

progress | a GtkProgress. |
format | a string used to display progress text, or `NULL` to restore to the default format. |

### gtk_progress_set_adjustment ()

    void
    gtk_progress_set_adjustment (GtkProgress *progress,
                                 GtkAdjustment *adjustment);

`gtk_progress_set_adjustment` is deprecated and should not be used in newly-written code.

Associates a GtkAdjustment with the GtkProgress. A GtkAdjustment is used to represent the upper and lower bounds and the step interval of the underlying value for which progress is shown.

#### Parameters

progress | a GtkProgress. |
adjustment | the GtkAdjustment to be associated with the GtkProgress. |

### gtk_progress_set_percentage ()

    void
    gtk_progress_set_percentage (GtkProgress *progress,
                                 gdouble percentage);

`gtk_progress_set_percentage` is deprecated and should not be used in newly-written code.

Sets the current percentage completion for the GtkProgress.

#### Parameters

progress | a GtkProgress. |
percentage | the percentage complete which must be between 0.0 and 1.0. |

### gtk_progress_set_value ()

    void
    gtk_progress_set_value (GtkProgress *progress,
                            gdouble value);

`gtk_progress_set_value` is deprecated and should not be used in newly-written code.

Sets the value within the GtkProgress to an absolute value. The value must be within the valid range of values for the underlying GtkAdjustment.

#### Parameters

progress | a GtkProgress. |
value | the value indicating the current completed amount. |

### gtk_progress_get_value ()

    gdouble
    gtk_progress_get_value (GtkProgress *progress);

`gtk_progress_get_value` is deprecated and should not be used in newly-written code.

Returns the current progress complete value.

#### Parameters

progress | a GtkProgress. |

#### Returns

the current progress complete value.

### gtk_progress_set_activity_mode ()

    void
    gtk_progress_set_activity_mode (GtkProgress *progress,
                                    gboolean activity_mode);

`gtk_progress_set_activity_mode` is deprecated and should not be used in newly-written code.

A GtkProgress can be in one of two different modes: percentage mode (the default) and activity mode. In activity mode, the progress is simply indicated as activity rather than as a percentage complete.

#### Parameters

progress | a GtkProgress. |
activity_mode | a boolean, `TRUE` for activity mode. |

### gtk_progress_get_current_text ()

    gchar *
    gtk_progress_get_current_text (GtkProgress *progress);

`gtk_progress_get_current_text` is deprecated and should not be used in newly-written code.

Returns the current text associated with the GtkProgress. This text is the based on the underlying format string after any substitutions are made.

#### Parameters

progress | a GtkProgress. |

#### Returns

the text indicating the current progress.

### gtk_progress_get_text_from_value ()

    gchar *
    gtk_progress_get_text_from_value (GtkProgress *progress,
                                      gdouble value);

`gtk_progress_get_text_from_value` is deprecated and should not be used in newly-written code.

Returns the text indicating the progress based on the supplied value. The current value for the GtkProgress remains unchanged.

#### Parameters

progress | a GtkProgress. |
value | an absolute progress value to use when formatting the progress text. |

#### Returns

a string indicating the progress.

### gtk_progress_get_current_percentage ()

    gdouble
    gtk_progress_get_current_percentage (GtkProgress *progress);

`gtk_progress_get_current_percentage` is deprecated and should not be used in newly-written code.

Returns the current progress as a percentage.

#### Parameters

progress | a GtkProgress. |

#### Returns

a number between 0.0 and 1.0 indicating the percentage complete.

### gtk_progress_get_percentage_from_value ()

    gdouble
    gtk_progress_get_percentage_from_value
                                   (GtkProgress *progress,
                                    gdouble value);

`gtk_progress_get_percentage_from_value` is deprecated and should not be used in newly-written code.

Returns the progress as a percentage calculated from the supplied absolute progress value.

#### Parameters

progress | a GtkProgress. |
value | an absolute progress value. |

#### Returns

a number between 0.0 and 1.0 indicating the percentage complete represented by `value` .

### gtk_progress_configure ()

    void
    gtk_progress_configure (GtkProgress *progress,
                            gdouble value,
                            gdouble min,
                            gdouble max);

`gtk_progress_configure` is deprecated and should not be used in newly-written code.

Allows the configuration of the minimum, maximum, and current values for the GtkProgress.

#### Parameters

progress | a GtkProgress. |
value | the current progress value. |
min | the minimum progress value. |
max | the maximum progress value. |

## Types and Values

### struct GtkProgress

    struct GtkProgress;

`GtkProgress` is deprecated and should not be used in newly-written code.

The GtkProgress struct contains private data only. and should be accessed using the functions below.

## Property Details

### The `“activity-mode”` property

      “activity-mode”            gboolean

If TRUE, the GtkProgress is in activity mode, meaning that it signals something is happening, but not how much of the activity is finished. This is used when you're doing something but don't know how long it will take.

Flags: Read / Write

Default value: FALSE

### The `“show-text”` property

      “show-text”                gboolean

Whether the progress is shown as text.

Flags: Read / Write

Default value: FALSE

### The `“text-xalign”` property

      “text-xalign”              gfloat

The horizontal text alignment, from 0 (left) to 1 (right). Reversed for RTL layouts.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.5

### The `“text-yalign”` property

      “text-yalign”              gfloat

The vertical text alignment, from 0 (top) to 1 (bottom).

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.5